PDA

View Full Version : SLES 11 - Samba 3.2.x - Win2008 R2



DBray925
06-Dec-2011, 15:46
OK, we all know that Win2k8R2 doesn't play well (without alterations)
with Samba 3.0.x, however the version of Samba that comes with SLES 11
is 3.2.x, and we are still seeing the familiar:

winbindd rpc_api_pipe: Remote machine pipe \NETLOGON fnum 0x800e
returned critical error. Error was NT_STATUS_PIPE_DISCONNECTED

winbindd rpc_client/cli_pipe.c:rpc_api_pipe(789)

After reading over various Google posts:
https://bugzilla.redhat.com/show_bug.cgi?id=561325 '[Samba] troule
switching winbind to use a new AD 2008'
(http://lists.samba.org/archive/samba/2010-November/159350.html)
etc....it still talks about 3.0.x, which we are not on. So, why is this
still happening?

Thanks,
-DB


--
DBray925
------------------------------------------------------------------------
DBray925's Profile: http://forums.novell.com/member.php?userid=22479
View this thread: http://forums.novell.com/showthread.php?t=449194

malcolmlewis
06-Dec-2011, 19:18
On Tue, 06 Dec 2011 14:46:02 GMT
DBray925 <DBray925@no-mx.forums.novell.com> wrote:

>
> OK, we all know that Win2k8R2 doesn't play well (without alterations)
> with Samba 3.0.x, however the version of Samba that comes with SLES 11
> is 3.2.x, and we are still seeing the familiar:
>
> winbindd rpc_api_pipe: Remote machine pipe \NETLOGON fnum 0x800e
> returned critical error. Error was NT_STATUS_PIPE_DISCONNECTED
>
> winbindd rpc_client/cli_pipe.c:rpc_api_pipe(789)
>
> After reading over various Google posts:
> https://bugzilla.redhat.com/show_bug.cgi?id=561325 '[Samba] troule
> switching winbind to use a new AD 2008'
> (http://lists.samba.org/archive/samba/2010-November/159350.html)
> etc....it still talks about 3.0.x, which we are not on. So, why is
> this still happening?
>
> Thanks,
> -DB
>
>
Hi
What version of 3.2.x are you on, the latest for SLE 11 is 3.2.7?

Have you considered upgrading to SP1, the latest for this is 3.4.3.

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.9-desktop
up 5:02, 3 users, load average: 0.23, 0.08, 0.06
GPU GeForce 8600 GTS Silent - Driver Version: 290.10

DBray925
06-Dec-2011, 19:36
Actually, I think I've finally figured this out...and it's just a weird
version naming convention thing. In order for this to work, one has to
be on the version of Samba found here:
ftp://ftp.sernet.de/pub/samba/3.6/suse/11.0/x86_64/

It's that little 3 on the end of Samba3 that makes all the difference.
After --force installing those RPMs, everything...so far....appears to
be working correctly.


--
DBray925
------------------------------------------------------------------------
DBray925's Profile: http://forums.novell.com/member.php?userid=22479
View this thread: http://forums.novell.com/showthread.php?t=449194

malcolmlewis
06-Dec-2011, 19:44
On Tue, 06 Dec 2011 18:36:02 GMT
DBray925 <DBray925@no-mx.forums.novell.com> wrote:

>
> Actually, I think I've finally figured this out...and it's just a
> weird version naming convention thing. In order for this to work,
> one has to be on the version of Samba found here:
> ftp://ftp.sernet.de/pub/samba/3.6/suse/11.0/x86_64/
>
> It's that little 3 on the end of Samba3 that makes all the
> difference. After --force installing those RPMs, everything...so
> far....appears to be working correctly.
>
>
Hi
If your going to do that, then use the ones from the Open Build Service
for SLE 11 rather than openSUSE ones;
http://software.opensuse.org/search?q=samba&baseproject=SUSE%3ASLE-11&lang=en&exclude_debug=true

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.9-desktop
up 5:31, 3 users, load average: 0.29, 0.10, 0.07
GPU GeForce 8600 GTS Silent - Driver Version: 290.10

DBray925
06-Dec-2011, 19:56
Great, thanks for the link...will do just that, when I go to do this in
production.


--
DBray925
------------------------------------------------------------------------
DBray925's Profile: http://forums.novell.com/member.php?userid=22479
View this thread: http://forums.novell.com/showthread.php?t=449194

DBray925
12-Dec-2011, 18:26
malcolmlewis;2159060 Wrote:
> ...use the ones from the Open Build Service
> for SLE 11 rather than openSUSE ones;
> 'software.opensuse.org: Search Results'
> (http://software.opensuse.org/search?q=samba&baseproject=SUSE%3ASLE-11&lang=en&exclude_debug=true)

But those aren't the Samba3 RPMs. And doing a search for Samba3 RPMs,
turns up nothing.


--
DBray925
------------------------------------------------------------------------
DBray925's Profile: http://forums.novell.com/member.php?userid=22479
View this thread: http://forums.novell.com/showthread.php?t=449194

malcolmlewis
12-Dec-2011, 18:36
On Mon, 12 Dec 2011 17:26:01 GMT
DBray925 <DBray925@no-mx.forums.novell.com> wrote:

>
> malcolmlewis;2159060 Wrote:
> > ...use the ones from the Open Build Service
> > for SLE 11 rather than openSUSE ones;
> > 'software.opensuse.org: Search Results'
> > (http://software.opensuse.org/search?q=samba&baseproject=SUSE%3ASLE-11&lang=en&exclude_debug=true)
>
> But those aren't the Samba3 RPMs. And doing a search for Samba3 RPMs,
> turns up nothing.
>
>
Hi
Hmmmm, AFAIK they are;
http://wiki.samba.org/index.php/Samba3

It also indicates the "Windows-compatible ACLs: This work has been
completed and will be shipped in Samba 3.5.0, patches available for
3.4.0."

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.9-desktop
up 2 days 2:07, 3 users, load average: 0.07, 0.12, 0.13
GPU GeForce 8600 GTS Silent - Driver Version: 290.10

malcolmlewis
12-Dec-2011, 18:39
On Mon, 12 Dec 2011 17:36:23 GMT
malcolmlewis <malcolmlewis@no-mx.forums.novell.com> wrote:

> On Mon, 12 Dec 2011 17:26:01 GMT
> DBray925 <DBray925@no-mx.forums.novell.com> wrote:
>
> >
> > malcolmlewis;2159060 Wrote:
> > > ...use the ones from the Open Build Service
> > > for SLE 11 rather than openSUSE ones;
> > > 'software.opensuse.org: Search Results'
> > > (http://software.opensuse.org/search?q=samba&baseproject=SUSE%3ASLE-11&lang=en&exclude_debug=true)
> >
> > But those aren't the Samba3 RPMs. And doing a search for Samba3
> > RPMs, turns up nothing.
> >
> >
> Hi
> Hmmmm, AFAIK they are;
> http://wiki.samba.org/index.php/Samba3
>
> It also indicates the "Windows-compatible ACLs: This work has been
> completed and will be shipped in Samba 3.5.0, patches available for
> 3.4.0."
>
Hi
And here may clarify;
http://www.enterprisesamba.org/index.php?id=149

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.9-desktop
up 2 days 2:11, 3 users, load average: 0.08, 0.11, 0.13
GPU GeForce 8600 GTS Silent - Driver Version: 290.10

DBray925
12-Dec-2011, 18:56
malcolmlewis;2160380 Wrote:
>
> And here may clarify;
> 'Enterprise Samba: SLES 11'
> (http://www.enterprisesamba.org/index.php?id=149)

Thank you so much for this...that clears it up perfectly!


--
DBray925
------------------------------------------------------------------------
DBray925's Profile: http://forums.novell.com/member.php?userid=22479
View this thread: http://forums.novell.com/showthread.php?t=449194

DBray925
13-Dec-2011, 14:46
Well, unfortunately, unlike the Samba RPMs, these OpenSUSE RPMs are
segfaulting the smbd process:


> tdb(unnamed): tdb_open_ex: spinlocks no longer supported
> ERROR: Failed to initialise messages database: Success
> messaging_tdb_init failed: NT_STATUS_UNSUCCESSFUL
> PANIC (pid 908): Could not init smbd's messaging context.
>
> BACKTRACE: 6 stack frames:
> #0 /usr/sbin/smbd(log_stack_trace+0x1a) [0x7f2e7d40dc8a]
> #1 /usr/sbin/smbd(smb_panic+0x2b) [0x7f2e7d40dd6b]
> #2 /usr/sbin/smbd(+0x199d3f) [0x7f2e7d171d3f]
> #3 /usr/sbin/smbd(main+0x4ed) [0x7f2e7d67ee5d]
> #4 /lib64/libc.so.6(__libc_start_main+0xe6) [0x7f2e79c13bc6]
> #5 /usr/sbin/smbd(+0x106ea9) [0x7f2e7d0deea9]
> dumping core in /var/log/samba/cores/smbd
> Aborted (core dumped)

I'm researching to see what this issue is, before I can press on with
the OpenSUSE RPMs vs. the Samba RPMs.


--
DBray925
------------------------------------------------------------------------
DBray925's Profile: http://forums.novell.com/member.php?userid=22479
View this thread: http://forums.novell.com/showthread.php?t=449194

DBray925
13-Dec-2011, 14:56
OK, the segfault was caused by an incompatible version of libtdb1.
Easily fixed with:

> rpm -e --nodeps libtdb1-32bit-3.4.3-1.17.2 libtdb1-3.4.3-1.17.2
> rpm -Uvh libldb1-3.6.1-70.2.x86_64.rpm
>

...now onto testing the slowness issue mentioned in my other thread.


--
DBray925
------------------------------------------------------------------------
DBray925's Profile: http://forums.novell.com/member.php?userid=22479
View this thread: http://forums.novell.com/showthread.php?t=449194